Skip to the page

Act on several domains

POST/v1/organisations/{id}/domains/bulk

Operation views.domainsBulk · since 2026-11-05 · stable

Needs a session withwritescopeAnswers200 OK

Path parameters

idstring (uuid)required
The organisation id.

Body (JSON)

Fields not listed here are refused.

actionstringrequired
"verify" or "remove".
idsarray of uuidrequired
1 to 50 domain ids.

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

POST/v1/organisations/{id}/domains/bulk
curl -X POST "https://api.rykloud.com/v1/organisations/$ORG_ID/domains/bulk" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "<action>",
  "ids": "<ids>"
}'